GHSA-qxx8-292g-2w66

Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2021/03/GHSA-qxx8-292g-2w66/GHSA-qxx8-292g-2w66.json
Published
2021-03-08T15:50:01Z
Modified
2022-08-15T08:25:11.692707Z
Details

Impact

A maliciously crafted claim may be incorrectly authenticated by the bot. Impacts bots that are not configured to be used as a Skill. This vulnerability requires an an attacker to have internal knowledge of the bot.

Patches

The problem has been patched in all affected versions. Please see the list of patched versions for the most appropriate one for your individual case.

Workarounds

Users who do not wish or are not able to upgrade can add an authentication configuration containing ClaimsValidator which throws an exception if the Claims are Skill Claims.

For detailed instructions, see the link in the References section.

For more information

If you have any questions or comments about this advisory: * Open an issue in Microsoft Bot Builder SDK * Email us at bf-reports@microsoft.com

References

Affected packages

NuGet / Microsoft.Bot.Connector

Microsoft.Bot.Connector

Affected ranges

Type
ECOSYSTEM
Events
Introduced
4.6.0
Fixed
4.6.4

Affected versions

4.*

4.6.0
4.6.1
4.6.2
4.6.3

NuGet / Microsoft.Bot.Connector

Microsoft.Bot.Connector

Affected ranges

Type
ECOSYSTEM
Events
Introduced
4.7.0
Fixed
4.7.3

Affected versions

4.*

4.7.0
4.7.1
4.7.2

NuGet / Microsoft.Bot.Connector

Microsoft.Bot.Connector

Affected ranges

Type
ECOSYSTEM
Events
Introduced
4.8.0
Fixed
4.8.2

Affected versions

4.*

4.8.0

NuGet / Microsoft.Bot.Connector

Microsoft.Bot.Connector

Affected ranges

Type
ECOSYSTEM
Events
Introduced
4.9.0
Fixed
4.9.5

Affected versions

4.*

4.9.0
4.9.1
4.9.2
4.9.3
4.9.4

NuGet / Microsoft.Bot.Connector

Microsoft.Bot.Connector

Affected ranges

Type
ECOSYSTEM
Events
Introduced
4.10.0
Fixed
4.10.3

Affected versions

4.*

4.10.0
4.10.2